Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.support
Class CglibSubclassingInstantiationStrategy

    java.lang.Object
      org.springframework.beans.factory.support.SimpleInstantiationStrategy
          org.springframework.beans.factory.support.CglibSubclassingInstantiationStrategy

All Implemented Interfaces:
  InstantiationStrategy

    public class CglibSubclassingInstantiationStrategy

extends SimpleInstantiationStrategy

Default object instantiation strategy for use in BeanFactories. Uses CGLIB to generate subclasses dynamically if methods need to be overridden by the container, to implement Method Injection.

Using Method Injection features requires CGLIB on the classpath. However, the core IoC container will still run without CGLIB being available.

Since:
  1.1
Author:
  Rod Johnson, Juergen Hoeller

Constructor Summary
`CglibSubclassingInstantiationStrategy()`

Method Summary
`protected java.lang.Object` | `instantiateWithMethodInjection(RootBeanDefinition beanDefinition, java.lang.String beanName, BeanFactory owner)` Subclasses can override this method, which is implemented to throw UnsupportedOperationException, if they can instantiate an object with the Method Injection specified in the given RootBeanDefinition.
`protected java.lang.Object` | `instantiateWithMethodInjection(RootBeanDefinition beanDefinition, java.lang.String beanName, BeanFactory owner, java.lang.reflect.Constructor ctor, java.lang.Object[] args)` Subclasses can override this method, which is implemented to throw UnsupportedOperationException, if they can instantiate an object with the Method Injection specified in the given RootBeanDefinition.

Methods inherited from class org.springframework.beans.factory.support.SimpleInstantiationStrategy
`getCurrentlyInvokedFactoryMethod, instantiate, instantiate, instantiate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CglibSubclassingInstantiationStrategy

    public CglibSubclassingInstantiationStrategy()

Method Detail

### instantiateWithMethodInjection

    protected java.lang.Object instantiateWithMethodInjection(RootBeanDefinition beanDefinition,
                                                              java.lang.String beanName,
                                                              BeanFactory owner)

  Description copied from class: `SimpleInstantiationStrategy`
  Subclasses can override this method, which is implemented to throw UnsupportedOperationException, if they can instantiate an object with the Method Injection specified in the given RootBeanDefinition. Instantiation should use a no-arg constructor.

  Overrides:
    `instantiateWithMethodInjection` in class `SimpleInstantiationStrategy`

### instantiateWithMethodInjection

    protected java.lang.Object instantiateWithMethodInjection(RootBeanDefinition beanDefinition,
                                                              java.lang.String beanName,
                                                              BeanFactory owner,
                                                              java.lang.reflect.Constructor ctor,
                                                              java.lang.Object[] args)

  Description copied from class: `SimpleInstantiationStrategy`
  Subclasses can override this method, which is implemented to throw UnsupportedOperationException, if they can instantiate an object with the Method Injection specified in the given RootBeanDefinition. Instantiation should use the given constructor and parameters.

  Overrides:
    `instantiateWithMethodInjection` in class `SimpleInstantiationStrategy`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD